summaryrefslogtreecommitdiffstats
path: root/system/powertop/powertop.SlackBuild
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 15:18:43 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:43 +0200
commitda67c8d8935dbd6f7919a73d107f6463c1b1a3b9 (patch)
tree7e3b60622e62bf8c1cb363e29f8eeeb340edd288 /system/powertop/powertop.SlackBuild
parentbae18fdb80148edcdae1b2576e950bd40bcbea4d (diff)
downloadslackbuilds-da67c8d8935dbd6f7919a73d107f6463c1b1a3b9.tar.gz
slackbuilds-da67c8d8935dbd6f7919a73d107f6463c1b1a3b9.tar.xz
system/powertop: Initial import
Diffstat (limited to 'system/powertop/powertop.SlackBuild')
-rw-r--r--system/powertop/powertop.SlackBuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/system/powertop/powertop.SlackBuild b/system/powertop/powertop.SlackBuild
new file mode 100644
index 0000000000..5a71e4707a
--- /dev/null
+++ b/system/powertop/powertop.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for powertop
+# Written by Kyle Guinn <elyk03@gmail.com>
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=powertop
+VERSION=1.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+# Strip the binary
+strip --strip-unneeded $PKG/usr/bin/powertop
+
+# The makefile does not install the man page. We do that here.
+mkdir -p $PKG/usr/man/man1
+cat powertop.1 | gzip -9c > $PKG/usr/man/man1/powertop.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Changelog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz